package com.palmnest.service.wechat;

import com.palmnest.application.bean.InMessage;
import com.palmnest.application.bean.OutMessage;

/**
 * 接收事件消息处理 接口
 *
 * @author xlguo
 * @date 2015-04-07
 */
public interface EventMsgManager {

	/**
	 * 关注事件
	 *
	 * @return
	 */
	public OutMessage subscribe(InMessage msg);


	/**
	 * 取消关注事件
	 *
	 * @return
	 */
	public OutMessage unsubscribe(InMessage msg);

	/**
	 * 扫描二维码事件
	 *
	 * @return
	 */
	public OutMessage SCAN(InMessage msg);

	/**
	 * 上报地理位置事件
	 *
	 * @return
	 */
	public OutMessage LOCATION(InMessage msg);

	/**
	 * 自定义菜单点击事件
	 *
	 * @return
	 */
	public OutMessage CLICK(InMessage msg);

	/**
	 * 自定义菜单跳转链接事件
	 *
	 * @return
	 */
	public String VIEW(InMessage msg);

	/**
	 * 在模版消息发送任务完成后的事件
	 *
	 * @return
	 */
	public String TEMPLATESENDJOBFINISH(InMessage msg);

}
